import React from 'react';
import ReactDOM from "react-dom";
import { arc, line } from 'd3';


const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 50;
const mouthWidth = 20;
const mouthRadius = 140;

const mouthArc = d3.arc()
    .innerRadius(mouthRadius)
    .outerRadius(mouthRadius + mouthWidth)
    .startAngle(Math.PI / 2)
    .endAngle(Math.PI * 3 / 2);


const lineData = [
  { "x": -125, "y": 60}, { "x": -75, "y": 100},
  { "x": 0, "y": 60}, { "x": 75, "y": 100},
  { "x": 125, "y": 60}
]

const lineFunction = d3.line(d => d.x, d => d.y);
const line1 = lineFunction(lineData)
//const lineData = d3.line()([[-125, 60], [-75, 100], [0, 60], [75, 100],[125, 60]])
										
              


const App = () => (
  
    <svg width={width} height={height}>
    	<g transform={`translate(${centerX}, ${centerY})`}>
        <circle
          r={centerY - strokeWidth / 2}
          fill="yellow"
          stroke="black"
          stroke-width={strokeWidth}
        />
        <circle
          cx={-eyeOffsetX }
          cy={-eyeOffsetY }
          r={eyeRadius}
        />
        <circle
          cx={eyeOffsetX }
          cy={-eyeOffsetY }
          r={eyeRadius}
        />
        <path d={line1}  stroke="black" stroke-width="10" fill="none"/>
      </g>
    </svg>
    
);

const rootElement = document.getElementById("root");
ReactDOM.render(<App />, rootElement);